Name: 		x265
Version: 	1.9
Summary: 	H265/AVC encoder
Release: 	%mkrel 1

%define major   79
%define libname %mklibname %{name}_ %{major}
%define develname %mklibname -d %{name}

Source0: 	http://ftp.videolan.org/pub/videolan/x265/%{name}_%{version}.tar.xz
License: 	GPLv2
Group: 		Video
Url: 		http://x265.org/
BuildRequires:	yasm
BuildRequires:  cmake

%description
x265 is an open-source project and free application library for encoding
video streams into the H.265/High Efficiency Video Coding (HEVC) format.

This package is in tainted repository as the video encoder may be covered
by software patents.

%package -n %{libname}
Summary: Shared library of x265
Group: System/Libraries

%description -n %{libname}
x265 dynamic libraries.

%package -n %{develname}
Summary: H265/AVC encoding library headers
Group: Development/Libraries
Requires: %{libname} = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for %{name}.

%prep
%setup -q -n %{name}_%{version}

%build
%cmake ../source
%make

%install
rm -rf %buildroot
%make_install -C build

#drop this
rm -f %{buildroot}%{_libdir}/libx265.a

%files
%doc COPYING
%{_bindir}/%{name}

%files -n %{libname}
%{_libdir}/libx265.so.%{major}

%files -n %{develname}
%{_includedir}/*.h
%{_libdir}/libx265.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Wed Jun 29 2016 bb <bb> 1.9-1pclos2016
- import from france with mods

